/*
*––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––
*  Copyright © 2020 OHO Design GmbH
*  Do not use this software or replicate without permission of the owner.
*––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––
*/

/* Inner Styles */

/* ///////////////////// */

/* -------------- */
/* SETUP */
/* DESKTOP */
/* TABLET */
/* MOBILE */
/* MINI-MOBILE */
/* SPECIAL BREAKPOINTS */
/* -------------- */

/* DESKTOP //////////////////////////////////////////////////////////////// */
/*
01. Inner Content
*/

/*
-----------------------------------------------------------------------------

01. Inner Content

-----------------------------------------------------------------------------
*/

/* INTRO *******************************************************************************/

.intro-image-wrap {
  height: 55vh;
  min-height: 800px;
  margin-top: -100px;
  z-index: 0;
  background: #23255b;
}

.intro-image-wrap img {
  -webkit-transform: scale(1.15);
  -ms-transform: scale(1.15);
  transform: scale(1.15);
  -webkit-transform-origin: top;
  -ms-transform-origin: top;
  transform-origin: top;
  object-position: center 65%;
}

.intro-image-wrap span {
  display: inline-block;
  position: absolute;
  bottom: -70px;
  z-index: 2;
  margin-left: 0;
}

.intro-image-wrap span::before,
.intro-image-wrap span::after {
  content: "";
  position: absolute;
  bottom: -242px;
  height: 400px;
  background: #fff;
}

.intro-image-wrap span::before {
  left: -47vw;
  width: 120vw;
  -webkit-transform: rotate(10deg);
  -ms-transform: rotate(10deg);
  transform: rotate(10deg);
}

.intro-image-wrap span::after {
  left: 0;
  width: 120vw;
  -webkit-transform: rotate(-10deg);
  -ms-transform: rotate(-10deg);
  transform: rotate(-10deg);
}

/**/

.intro-title-wrap {
  position: relative;
  margin-top: -25em;
  padding: 3em;
  z-index: 0;
}

@media only screen and (max-width: 2100px) {
  .intro-title-wrap {
    margin-top: -20vw;
  }
}

.intro-title-wrap h1 {
  position: relative;
  font-size: 6.5vw;
  margin: 0 0 3vw 0;
  z-index: 1;
}

.intro-title-wrap::after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 95%;
  max-width: 60vw;
  height: 100%;
  background: #23255b;
  mix-blend-mode: multiply;
}

.intro-title-wrap span {
  display: inline-block;
  position: relative;
  z-index: 1;
  margin-left: -20%;
}

.intro-title-wrap span::before,
.intro-title-wrap span::after {
  content: "";
  position: absolute;
  bottom: -142px;
  height: 200px;
  background: #fff;
}

.intro-title-wrap span::before {
  left: -47vw;
  width: 100vw;
  -webkit-transform: rotate(10deg);
  -ms-transform: rotate(10deg);
  transform: rotate(10deg);
}

.intro-title-wrap span::after {
  left: 0;
  width: 100vw;
  -webkit-transform: rotate(-10deg);
  -ms-transform: rotate(-10deg);
  transform: rotate(-10deg);
}

/**/

.intro-text-wrap .h3 {
  margin: 0;
}

.intro-text-wrap {
  -webkit-transform: translateY(-50px);
  -ms-transform: translateY(-50px);
  transform: translateY(-50px);
}

@media only screen and (max-width: 1200px) {
  .intro-image-wrap {
    min-height: 600px;
  }

  .intro-image-wrap span::before {
    left: -67vw;
  }

  .intro-title-wrap {
    margin-top: -30vw;
  }

  .intro-title-wrap h1 {
    font-size: 10vw;
  }

  .intro-title-wrap::after {
    max-width: 100vw;
  }

  .intro-title-wrap span::before,
  .intro-title-wrap span::after {
    bottom: -242px;
    height: 300px;
  }

  .intro-title-wrap span::after {
    width: 120vw;
  }
}

/* POSTS *******************************************************************************/

/***** Post grid */

.post-grid .centered-image-wrap {
  height: 250px;
}

/* SINGLE POST *******************************************************************************/

/***** Layout */

.layout-wrap [class*="block--"] {
  margin: 50px 0;
}

/* Image */

.layout-wrap .block--single-image img {
  min-width: 100%;
}

/* GENERAL FORM STYLES *******************************************************************************/

.form-wrap .grid-wrap .box {
  padding: 10px;
}

/***** Labels */

.form-wrap span.label {
  margin-bottom: 0.5em;
  display: inline-block;
  font-size: 0.75em;
}

/***** Input fields  */

input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"] {
  border: 1px solid #23255b;
  padding: 10px 10px 10px 10px;
  border-radius: 0;
  margin-bottom: 0;
  background: #f4f4f4;
  color: #23255b;
}

.search-form input[type="search"] {
  -moz-appearance: none; /* older firefox */
  -webkit-appearance: none; /* safari, chrome, edge and ie mobile */
  appearance: none; /* rest */
  border-radius: 3px;
  margin-bottom: 0;
  background: #f4f4f4;
}

input,
select,
textarea {
  color: #23255b !important;
  width: 100%;
}

textarea {
  background: #f4f4f4;
  padding: 10px;
  line-height: 25px;
  max-height: 320px;
  border: 1px solid black;
  border-radius: 0;
  margin: 0px;
}

textarea:focus,
input:focus,
textarea:active,
input:active {
  color: #fff;
  border: 1px solid #181848;
}

::-webkit-input-placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #23255b;
  opacity: 1; /* Firefox */
}

::-moz-placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #23255b;
  opacity: 1; /* Firefox */
}

:-ms-input-placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #23255b;
  opacity: 1; /* Firefox */
}

::-ms-input-placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #23255b;
  opacity: 1; /* Firefox */
}

::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #23255b;
  opacity: 1; /* Firefox */
}
:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #23255b;
}
::-ms-input-placeholder {
  /* Microsoft Edge */
  color: #23255b;
}

/***** Submit button */

input[type="submit"] {
  float: right;
  background: #23255b;
  color: #fff !important;
  border-radius: 200px;
  padding: 0.3em 1em 0.45em;
  border: unset;
  margin-top: 0px;
  display: inline-block;
  cursor: pointer;
  width: auto;
}

/***** error handling */

.form-wrap .error-msg {
  color: #23255b;
  font-size: 0.75em;
}

.form-wrap input.has-error {
  border-color: #23255b;
}

/***** success handling */

form.submitted {
  display: none !important;
}

/* PASSWORD FORM STYLES *******************************************************************************/

.post-password-form p:nth-of-type(1) {
  display: none;
}

span.custom-password-message {
  display: block;
  margin: auto;
  max-width: 160px;
  padding: 2px;
  border-radius: 4px;
  background: rgba(255, 255, 255, 0.17);
  color: #23255b;
}

.post-password-form label {
  font-size: 0px;
}
.post-password-form label input {
  font-size: 30px;
  padding: 4px 15px;
  text-align: center;
}

.post-password-required input[type="submit"] {
  position: relative;
  float: unset;
  margin: 25px auto;
  display: block;
}

/* IMPRINT + DATA PRIVACY *******************************************************************************/

.laws main {
  background: #181848;
}

.laws * {
  color: #fff;
}

.laws .box:nth-child(odd) {
  padding-right: 25px;
}

.laws .box:nth-child(even) {
  padding-left: 25px;
}

.laws a:hover,
.laws a.active-link,
.laws a {
  color: #fff;
  border-bottom: 1px solid #fff;
  word-break: break-all;
}

.laws #oho-table p {
  margin: 0;
}

.laws #impressum-oho-logo {
  width: 24px;
  margin-right: 20px;
  margin-top: 6px;
}

/* 404 *******************************************************************************/

.error-404 {
  text-align: center;
}

.error404 h1 {
  margin: 0px 0 30px 0;
}

.error-404 p a:hover {
  cursor: pointer;
  border-bottom: 1px solid #23255b;
  color: #23255b;
}

/* TABLET //////////////////////////////////////////////////////////////// */
/*
01. Inner Content
*/

@media only screen and (max-width: 880px) {
  /*
  -----------------------------------------------------------------------------

  01. Inner Content

  -----------------------------------------------------------------------------
  */

  /* INTRO *******************************************************************************/

  .intro-title-wrap h1 {
    margin: 0 0 60px 0;
  }
}

/* MOBILE //////////////////////////////////////////////////////////////// */
/*
01. Inner Content
*/

@media only screen and (max-width: 580px) {
  /*
  -----------------------------------------------------------------------------

  04. Inner Content

  -----------------------------------------------------------------------------
  */

  /* INTRO *******************************************************************************/

  .intro-image-wrap {
    min-height: 500px;
  }

  .intro-image-wrap img {
    object-position: center;
  }

  .intro-title-wrap {
    margin-top: -234px;
    padding: 2.5em;
  }

  .intro-image-wrap span::before,
  .intro-image-wrap span::after {
    bottom: -142px;
    height: 300px;
  }

  .intro-text-wrap {
    -webkit-transform: translateY(-40px);
    -ms-transform: translateY(-40px);
    transform: translateY(-40px);
  }

  /*  IMPRINT + DATA PRIVACY *******************************************************************************/

  .laws .box:nth-child(odd),
  .laws .box:nth-child(even) {
    padding: 0;
  }

  .laws #impressum-oho-logo {
    width: 19px;
  }
}

/* MINI-MOBILE //////////////////////////////////////////////////////////////// */
/*
01. Inner Content
*/

@media only screen and (max-width: 430px) {
  /*
  -----------------------------------------------------------------------------

  04. Inner Content

  -----------------------------------------------------------------------------
  */

  /* INTRO *******************************************************************************/

  .intro-title-wrap {
    margin-top: -207px;
    padding: 1em;
  }

  .intro-text-wrap .h3 {
    font-size: 16px;
  }
}

/* SPECIAL BREAKPOINTS //////////////////////////////////////////////////////// */
